#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [ ]

test_requirements = ['pytest>=3', ]

setup(
    author="Vamsidhar Reddy Rajula",
    author_email='r.vamsireddy93@gmail.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Pythaon package to make building queries easier",
    entry_points={
        'console_scripts': [
            'es_query_builder=es_query_builder.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='es_query_builder',
    name='es_query_builder',
    packages=find_packages(include=['es_query_builder', 'es_query_builder.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/rvr93/es_query_builder',
    version='0.2.1',
    zip_safe=False,
)
